> ## Documentation Index
> Fetch the complete documentation index at: https://ekacare-mintlify-697c363f.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Connect Login

> Authorization APIs to get access and refresh token



## OpenAPI

````yaml post /connect-auth/v1/account/login
openapi: 3.0.3
info:
  description: Authorization APIs for connect
  title: Eka Developer APIs
  version: 1.0.0
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
tags:
  - description: APIs used for connect Authentication exposed through api.eka.care
    name: Connect APIs
  - description: Apis to login to eka using partner's JWT token
    name: Auth (OIDC Token APIs)
paths:
  /connect-auth/v1/account/login:
    post:
      tags:
        - Connect APIs
      description: Authorization APIs to get access and refresh token
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AccountConnectLoginRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountConnectLoginResponse'
          description: OK
        4XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OpenapiGenericError'
          description: ''
        5XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OpenapiGenericError'
          description: ''
components:
  schemas:
    AccountConnectLoginRequest:
      properties:
        client_id:
          type: string
        client_secret:
          type: string
        sharing_key:
          description: Optional, key for accessing another workspace
          type: string
      required:
        - client_id
        - client_secret
      type: object
    AccountConnectLoginResponse:
      properties:
        access_token:
          type: string
        expires_in:
          description: Access token expiry in seconds
          type: integer
        refresh_expires_in:
          description: Refresh token expiry in seconds
          type: integer
        refresh_token:
          type: string
      type: object
    OpenapiGenericError:
      properties:
        code:
          type: integer
        error:
          type: string
      type: object

````